IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

  1. #1
    Membre averti
    Profil pro
    Inscrit en
    avril 2005
    Messages
    894
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : avril 2005
    Messages : 894
    Points : 363
    Points
    363
    Par défaut [C#] Est ce qu'une appli fonctionne avec des parties de codes compilés 1.0 et 2.0 ?
    Bonjour,

    Est ce qu'une application peut fonctionner avec des parties de codes compilés en .Net 2.0 et d'autres parties qui sont en version .net 1.0 ?

    Merci,
    Christophe,

  2. #2
    Membre éprouvé
    Profil pro
    Inscrit en
    août 2003
    Messages
    835
    Détails du profil
    Informations personnelles :
    Localisation : France, Paris (Île de France)

    Informations forums :
    Inscription : août 2003
    Messages : 835
    Points : 1 046
    Points
    1 046
    Par défaut
    Salut,

    Je pense que oui, mais ça devra tourner avec le framework 2.0 (les assemblies 2.0 n'étant pas compatibles avec le framework 1.1 alors que l'inverse est vrai). Les assemblies compilées en 1.0 tourneront alors avec les versions 2.0 des assemblies du framework, il faut donc bien tester, il y a qques risques d'incompatibilités ou de changement de comportement de certaines classes.

    Ce que je dis est à vérifier, c'est le genre de chose qu'on ne fait pas souvent et je te ressort les qques souvenirs que j'ai d'un bouquin...

  3. #3
    Membre averti

    Profil pro
    Inscrit en
    avril 2005
    Messages
    95
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : avril 2005
    Messages : 95
    Points : 344
    Points
    344
    Par défaut
    Je confirme avoir souvent utilisé des composants Net1.1 dans VS2005 (2.0 donc).

    Quant a savoir si il s'agit d'une science exacte...

  4. #4
    jab
    jab est déconnecté
    Rédacteur
    Avatar de jab
    Homme Profil pro
    SharePoint developpeur
    Inscrit en
    février 2004
    Messages
    1 173
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 57
    Localisation : Belgique

    Informations professionnelles :
    Activité : SharePoint developpeur
    Secteur : Service public

    Informations forums :
    Inscription : février 2004
    Messages : 1 173
    Points : 4 339
    Points
    4 339
    Par défaut
    Pas de problème. tu peux mélanger les deux framework.

  5. #5
    Membre expérimenté
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    1 103
    Détails du profil
    Informations personnelles :
    Âge : 43
    Localisation : France, Meurthe et Moselle (Lorraine)

    Informations forums :
    Inscription : juillet 2006
    Messages : 1 103
    Points : 1 543
    Points
    1 543
    Par défaut
    Tu peux très bien faire fonctionner une assemblie 2.0 avec des assemblies 1.1 en dépendances, sans aucun problème, c'est la machine virtuelle du framework, qui fait le nécessaire. Donc là dessus il n'y a aucun problème...

    C'est tout l'intérêt de la technologie .NET d'ailleurs... si yavait pas ca, ca servirait pas à grand chose !

    D'ailleur il n'y a meme pas de probleme de fonctionnement différents, en effet la machine virtuelle fait toujours le nécessaire en fonction de la version de compilation de l'assemblie. Donc tu n'a aucun soucis à te poser de ce coté là.

+ Répondre à la discussion
Cette discussion est résolue.

Discussions similaires

  1. [Débutant] mise à jour automatique d'une appli fonctionnant avec une bdD locale
    Par noftal dans le forum VB.NET
    Réponses: 21
    Dernier message: 19/12/2013, 11h08
  2. Réponses: 0
    Dernier message: 27/06/2013, 14h57
  3. Réponses: 3
    Dernier message: 25/01/2013, 14h01
  4. [Plugin][Débutant] Lancement d'une appli Java avec un plugin
    Par antares24 dans le forum Eclipse Platform
    Réponses: 1
    Dernier message: 29/07/2004, 14h18
  5. Définir une appli JEE avec JB7 Entreprise
    Par polo54 dans le forum JBuilder
    Réponses: 4
    Dernier message: 10/06/2003, 11h48

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo